Subject: Re: Problem with PCIe -> PCI bridge on MPC8377E-RDB

From: Benjamin Herrenschmidt <[email-masked]>
Date: Wed, 12 Aug 2009 19:56:05 +1000

On Tue, 2009-08-11 at 23:25 -0400, B.J. Buchalter wrote:

> I don't know the model of the board off the top of my head.
> 
> I do know that it uses the Texas Instruments XIO2000A/XIO2200 PCI  
> Express-to-PCI Bridge (rev 03), with the TSB82AA2 OHCI Link behind the  
> bridge.
> 
> The same board definitely works as expected in a Mac Pro.

I've had problems on embedded 4xx with some of those guys. I think
there's a problem with the TI bridge, either it needs more time to
settle after reset or it doesn't cope with a second reset by the kernel
after the FW reset ,I don't remember... but there's definitely something
fishy with that bridge or something a bit too "tight" on spec we do on
both FSL and 44x that doesn't please that bridge.

Cheers,
Ben.

> In doing some Google searches about this, I have seen the TI part  
> listed in the PCI configuration of folks running linux (though  
> probably on Intel) and apparently having no problems with the busses  
> behind the bridge being enumerated.
> 
> I am guessing that the problem is related the the PCIe root complex on  
> the 8377, but I am just guessing.
> 
> Is PCIe known to work on the MPC837x?
> 
> Thanks!
> 
> B.J. Buchalter
> 
> 
> _______________________________________________
> Linuxppc-dev mailing list
> [email-masked]
> https://lists.ozlabs.org/listinfo/linuxppc-dev